>From 42499d0b6fed55c9d004037ba24a83552b6a772e Mon Sep 17 00:00:00 2001
From: KO Myung-Hun <komh@chollian.net>
Date: Sun, 23 Nov 2014 11:36:04 +0900
Subject: [PATCH] freeaddrinfo: fix Win32 build

Guard with __OS2__.
---
 compat/freeaddrinfo.c | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/compat/freeaddrinfo.c b/compat/freeaddrinfo.c
index fecc3fa..0e398c1 100644
--- a/compat/freeaddrinfo.c
+++ b/compat/freeaddrinfo.c
@@ -29,6 +29,7 @@
 
 #include <stdlib.h>
 
+#ifdef __OS2__
 /*
  * This function must be used to free the memory allocated by getaddrinfo().
  */
@@ -44,3 +45,4 @@ void freeaddrinfo (struct addrinfo *res)
         res = next;
     }
 }
+#endif
-- 
1.8.5.2

